#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(parman_create, 0xc3e2d892, "");
SYMBOL_CRC(parman_destroy, 0xca39ae6a, "");
SYMBOL_CRC(parman_prio_init, 0x0f518717, "");
SYMBOL_CRC(parman_prio_fini, 0xc6a3d260, "");
SYMBOL_CRC(parman_item_add, 0x7b03d378, "");
SYMBOL_CRC(parman_item_remove, 0x8b7e26f5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x37a0cba, "kfree" },
	{ 0x4c49eac8, "kmalloc_caches" },
	{ 0xfa667511, "kmalloc_trace" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xdceb3072, "__gcov_init" },
	{ 0x84a4b45d, "__gcov_exit" },
	{ 0xbb29b267, "__gcov_merge_add" },
	{ 0x7eb536a4, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CD0E20D3A294F9ABBFAD85C");
